Skip to main content
GET
Retrieves specific employee data under a payroll connection
The employeeSummary field will be null when an employee has multiple profiles. In that case, query the individual profiles using the employeeProfiles array to retrieve the full employee data for each profile.

Authorizations

Authorization
string
header
required

Bearer token obtained from the /v1/auth/token endpoint. Send as: Authorization: Bearer .

Path Parameters

payroll_connection
string<uuid>
required

ID of the payroll connection

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
employee
string<uuid>
required

ID of the employee

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Employee data retrieved successfully

id
string<uuid>
required

Payroll Integrations employee specific uuid

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
employeeProfiles
object[]
required
updatedAt
string<date-time>
required

ISO 8601 timestamp when the employee data was updated

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
employeeSummary
object | null
required

Summary of the employee data. Populated when there is a single profile, null when there are multiple profiles.